version: '3.3'

services: 
  vaultwarden:
    container_name: ${CONTAINER_NAME}
    image: 'vaultwarden/server:latest'
    restart: unless-stopped
    volumes:
      - ${HOME_DIR}/${CONTAINER_NAME}/:/data/
    environment:
      - SIGNUPS_ALLOWED=${SIGNUP_ALLOWED}
      - ADMIN_TOKEN=${TOKEN}
      - WEB_VAULT_ENABLED=${WEBVAULT_ENABLED}
      - TZ=${TIMEZONE}
    ports:
      - ${PORT_HTTP}:80
    env_file:
      - path: ./vaultwarden.env
        required: true
      - path: ../global.env
        required: true
    
